- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QTableWidgetSelectionRange Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qtablewidget.h.

`#include <qtablewidget.h>`

List of all members.

## Public Member Functions
| QTableWidgetSelectionRange ()
| QTableWidgetSelectionRange (int top, int left, int bottom, int right)
| QTableWidgetSelectionRange (const QTableWidgetSelectionRange &other)
| ~QTableWidgetSelectionRange ()
int | topRow () const
int | bottomRow () const
int | leftColumn () const
int | rightColumn () const
int | rowCount () const
int | columnCount () const

## Constructor & Destructor Documentation

QTableWidgetSelectionRange | ( |  | ) |

QTableWidgetSelectionRange | ( | int | top,
|  | int | left,
|  | int | bottom,
|  | int | right
| ) |  |

QTableWidgetSelectionRange | ( | const QTableWidgetSelectionRange & | other | ) |

~QTableWidgetSelectionRange | ( |  | ) |

## Member Function Documentation

int topRow | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 66 of file qtablewidget.h.

    { return top; }

int bottomRow | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 67 of file qtablewidget.h.

    { return bottom; }

int leftColumn | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 68 of file qtablewidget.h.

    { return left; }

int rightColumn | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 69 of file qtablewidget.h.

    { return right; }

int rowCount | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 70 of file qtablewidget.h.

    { return bottom - top + 1; }

int columnCount | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 71 of file qtablewidget.h.

    { return right - left + 1; }

The documentation for this class was generated from the following file:

- QtGui/qtablewidget.h

QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange
QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange QTableWidgetSelectionRange